summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorOlivier CrĂȘte <olivier.crete@collabora.co.uk>2009-02-05 12:38:37 +0000
committerOlivier CrĂȘte <olivier.crete@collabora.co.uk>2009-02-05 12:47:39 +0000
commit4789542dc48b5a6970d44acb4ba851801b6f1673 (patch)
treecb203cb3ec913cede946bab37c81814b9f3c36d6 /autogen.sh
parentd1ea53d5635966800c6cd431afe40ed255d6849a (diff)
downloadfarstream-4789542dc48b5a6970d44acb4ba851801b6f1673.tar.gz
Replace copy of common with git submodule
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh63
1 files changed, 32 insertions, 31 deletions
diff --git a/autogen.sh b/autogen.sh
index fd07cc86..f1715440 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -5,16 +5,13 @@ DIE=0
package=farsight2
srcfile=gst-libs/gst/farsight/fs-candidate.c
-# a quick cvs co to ease the transition
-if test ! -d common;
+# Make sure we have common
+if test ! -f common/gst-autogen.sh;
then
- echo "+ getting common/ from cvs"
- if test -e CVS/Tag
- then
- TAG="-r `tail -c +2 CVS/Tag`"
- fi
- cvs co $TAG common
+ echo "+ Setting up common submodule"
+ git submodule init
fi
+git submodule update
# source helper functions
if test ! -f common/gst-autogen.sh;
@@ -30,12 +27,14 @@ CONFIGURE_DEF_OPT='--enable-gtk-doc --enable-plugin-docs'
autogen_options $@
echo -n "+ check for build tools"
-if test ! -z "$NOCHECK"; then echo " skipped"; else echo; fi
-version_check "autoconf" "$AUTOCONF autoconf autoconf259 autoconf257 autoconf-2.54 autoconf-2.53 autoconf-2.52" \
+if test ! -z "$NOCHECK"; then echo ": skipped version checks"; else echo; fi
+version_check "autoconf" "$AUTOCONF autoconf autoconf259 autoconf257 autoconf-2.54 autoconf-2.53 autoconf253 autoconf-2.52 autoconf252" \
"ftp://ftp.gnu.org/pub/gnu/autoconf/" 2 52 || DIE=1
-version_check "automake" "$AUTOMAKE automake automake-1.9 automake19 automake-1.7 automake-1.6 automake-1.5" \
+version_check "automake" "$AUTOMAKE automake automake-1.9 automake19 automake-1.8 automake18 automake-1.7 automake17 automake-1.6 automake16" \
"ftp://ftp.gnu.org/pub/gnu/automake/" 1 7 || DIE=1
-version_check "libtoolize" "$LIBTOOLIZE libtoolize glibtoolize" \
+version_check "autopoint" "autopoint" \
+ "ftp://ftp.gnu.org/pub/gnu/gettext/" 0 17 || DIE=1
+version_check "libtoolize" "libtoolize libtoolize15 glibtoolize" \
"ftp://ftp.gnu.org/pub/gnu/libtool/" 1 5 0 || DIE=1
version_check "pkg-config" "" \
"http://www.freedesktop.org/software/pkgconfig" 0 8 0 || DIE=1
@@ -59,7 +58,21 @@ fi
toplevel_check $srcfile
+# autopoint
+# older autopoint (< 0.12) has a tendency to complain about mkinstalldirs
+if test -x mkinstalldirs; then rm mkinstalldirs; fi
+# first remove patch if necessary, then run autopoint, then reapply
+if test -f po/Makefile.in.in;
+then
+ patch -p0 -R --forward < common/gettext.patch
+fi
+tool_run "$autopoint" "--force" "patch -p0 < common/gettext.patch"
+patch -p0 < common/gettext.patch
+
+# aclocal
+if test -f acinclude.m4; then rm acinclude.m4; fi
tool_run "$aclocal" "-I common/m4 $ACLOCAL_FLAGS"
+
tool_run "$libtoolize" "--copy --force"
tool_run "$autoheader"
@@ -67,37 +80,25 @@ tool_run "$autoheader"
echo timestamp > stamp-h.in 2> /dev/null
tool_run "$autoconf"
-tool_run "$automake" "-a -c -Wno-portability"
-
-# if enable exists, add an -enable option for each of the lines in that file
-if test -f enable; then
- for a in `cat enable`; do
- CONFIGURE_FILE_OPT="--enable-$a"
- done
-fi
-
-# if disable exists, add an -disable option for each of the lines in that file
-if test -f disable; then
- for a in `cat disable`; do
- CONFIGURE_FILE_OPT="$CONFIGURE_FILE_OPT --disable-$a"
- done
-fi
+debug "automake: $automake"
+tool_run "$automake" "--add-missing --copy -Wno-portability"
test -n "$NOCONFIGURE" && {
- echo "+ skipping configure stage for package $package, as requested."
- echo "+ autogen.sh done."
+ echo "skipping configure stage for package $package, as requested."
+ echo "autogen.sh done."
exit 0
}
echo "+ running configure ... "
test ! -z "$CONFIGURE_DEF_OPT" && echo " ./configure default flags: $CONFIGURE_DEF_OPT"
test ! -z "$CONFIGURE_EXT_OPT" && echo " ./configure external flags: $CONFIGURE_EXT_OPT"
-test ! -z "$CONFIGURE_FILE_OPT" && echo " ./configure enable/disable flags: $CONFIGURE_FILE_OPT"
echo
-./configure $CONFIGURE_DEF_OPT $CONFIGURE_EXT_OPT $CONFIGURE_FILE_OPT || {
+echo ./configure $CONFIGURE_DEF_OPT $CONFIGURE_EXT_OPT
+./configure $CONFIGURE_DEF_OPT $CONFIGURE_EXT_OPT || {
echo " configure failed"
exit 1
}
echo "Now type 'make' to compile $package."
+